List All Campaigns
You can download the list of all campaigns along with their associated attributes in the advertiser accounts using this POST operation
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | ID of advertiser | integer | Y | Advertiser ID for which the campaign needs to be updated for delivery status |
| Filter[campaignId] | ID of the campaigns you wish to list details for. Note: if no campaignId is specified, all campaigns in the advertiser account will be returned | array<integer> | N | Unique numeric identifier. Maximum list size is 25 entries. |
| Filter[name] | Filter based on the list of specified campaign names. If no campaign names are specified, all campaigns in the advertiser account will be returned | array<string> | N | Valid campaign name |
| Filter[status] | Filter based on the campaign status | string | N | Enum values:
|
| Filter[lastModifiedDate] | Filter list of campaigns created or modified on or after this date | string | N | Date should be in format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX Note: date values are converted internally to EST timezone |
| startIndex | Defines at which point in the list to return campaigns. Example: | integer | N | Use startIndex and count to return various selections of the list. The default value is 0. |
| count | Defines the total number of campaigns to be returned. Example: | integer | N | Use count and startIndex to return various selections of the list. Note: defaultCount=100, maxCount = 100, minCount = 1 |
Sample Request
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/campaigns/list' \
--header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: *************' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 1, "Filter[campaignId]": [1], "Filter[name]": ["campaign1"], "Filter[status]": "draft", "Filter[lastModifiedDate]": "2026-11-03T01:16:39.760-05:00", "startIndex": 0, "count": 10 }'Response
| Element | Description | Type |
|---|---|---|
| totalResults | Number of campaigns returned by the API that match the request criteria | integer |
| response | Attributes of the campaigns returned by the API. The following attributes are listed: • campaignExtId • name • description • objective • Status • startDate • endDate • budgetType • deliverySpeed • dailyBudget • totalBudget • campaignType • mediaType • creationDate • lastUpdatedDate • attributesSetOnAdGroupLevel: It indicates whether the budget, schedule, and delivery |
Error Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | Code=failure Click here for more information about Status Codes and Errors | N | string | failure |
| details | List of error codes associated with the request. Use these codes for programmatic error handling. | N | array | Refer to this link for detailed error messages |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors array object details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error (for example, startDate). Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response Success
{ "totalResults": 2, "response": [ { "campaignId": 1, "campaignExtId": 1, "name": "campaign1", "description": "campaign1", "objective": "AWARENESS", "status": "DRAFT", "startDate": "2026-11-10T08:00:00.000-05:00", "endDate": "2026-12-31T12:00:00.000-05:00", "budgetType": "DAILY", "deliverySpeed": "FRONTLOADED", "dailyBudget": 10.0, "campaignType": "NGD", "creationDate": "2026-11-03T01:16:39.760-05:00", "lastUpdatedDate": "2026-11-03T01:16:39.760-05:00", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" }, { "campaignId": 2, "campaignExtId": 2, "name": "campaign2", "description": "campaign2", "objective": "AWARENESS", "status": "DRAFT", "startDate": "2026-11-10T08:00:00.000-05:00", "endDate": "2026-12-30T12:00:00.000-05:00", "budgetType": "TOTAL", "deliverySpeed": "FRONTLOADED", "totalBudget": 10.0, "campaignType": "NGD", "creationDate": "2026-11-03T01:15:17.367-05:00", "lastUpdatedDate": "2026-11-03T01:15:17.367-05:00", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" } ]
}Sample Response Failure
[ { "code": "failure", "details": ["string"], "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ] }
]Updated 4 days ago
